Data driven label rotation is affected by composer map item rotation
2016-03-03 05:32 PM - Gabriel Couet

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.14.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 22398
Description

| stumbled into an issue with data defined rotation. | need both a data driven rotation on certain labels of a feature, and a data driven
rotation of the map item in an atlas. Depending on what options are chosen in the label properties, label behavior at render time in the
atlas is different. It seems that the data driven rotation is compounded over the map item's rotation value while the general rotation isn't.

- The atlas is built around a series of rectangle features, following a corridor, as the coverage layer. Those features have a field
containing their rotation value that is used to drive the map item's rotation value.

- The labeled layer has data driven X, Y, and rotation values for the mileage features.
Those are the intended settings, but when used that way, it gives the results shown in the attached images.

If the data driven rotation is cleared and a general rotation is applied to the layer, the result in the composer is what would be expected.

This was present in 2.12.3 and | reproduced it in 2.14. To make sure, | also created a new project in 2.14 in case it was an issue that
could be carried with the project file into a revision.

History

#1 - 2016-04-09 09:57 AM - Giovanni Manghi
- Operating System deleted (Windows)
- OS version deleted (7)

- Target version deleted (Version 2.14)

#2 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history — a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and
administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
